import { ITerm, ITermData } from "@pnp/sp-taxonomy";
export declare class TaxonomyService {
    constructor();
    /**
     * Get auxiliar taxonomy field where the information is stored
     * @param listTitle Title of the list
     * @param fieldName Internal name or title of the taxonomy field
     * @returns Promise with the internal name of the auxiliar taxonomy field
     */
    getTaxonomyFieldInternalName(listTitle: string, fieldName: string): Promise<string>;
    /**
     * Get TermSet terms
     * @param termSetId Id of the term set
     * @returns Promise with the terms
     */
    getTaxonomyTermSetByGuid(termSetId: string): Promise<(ITerm & ITermData)[]>;
}
